Version 3.7.2.3 - 08 May 2022
- Fixed a bug in the watermarking program.

Version 3.7.2.2 - 07 Apr 2022
- Added a new choose and save images folder path dialog when choosing where to save the watermarked images

Version 3.7.1.4 - 25 Jul 2021
- Added the path and filename of the current image being watermarked to the output tab.

Version 3.7.1.3 - 23 May 2021
- Fixed a drag and drop bug on the files selection of the files to be watermarked

Version 3.7.1.1 - 14 Aug 2019
- Made the application DPI aware so it now works better at generating watermark on photos on high DPI screens 

Version 3.6.1.1 - 28 Jul 2019
- Improved the registration of errors when watermarking photos and images.

Version 3.6.0.9 - 12 May 2019
- Fixed a UI bug that did hid the resize watermarked photos option in the software.

Version 3.6.0.8 - 04 Apr 2019
- Fixed a bug when selecting to watermark photos using the 3d image watermark option, this would not select the correct option when reloading the selection page.

Version 3.6.0.7 - 10 Mar 2019
- Re-implemented the old way of doing transparency when using a transparent image as watermark on photos since it works better :)

Version 3.6.0.6 - 04 Mar 2019
- Fixed an error in the transparency function that made non transparent png look strange when used to add an image watermark to photos.

Version 3.6.0.5 - 01 Mar 2019
- Worked on improving the UI when watermarking photos

Version 3.6.0.4 - 31 Jan 2019
- Fixed an error relating to a missing "my documents" folder.

Version 3.6.0.3 - 16 Dec 2018
- Updated the watermarked photo preview options.

Version 3.6.0.2 - 22 Nov 2018
- Updated the Italian language for the image and photo watermark program.

Version 3.6.0.1 - 21 Oct 2018
- Added the option to underline text while watermarking your photos
- Updated the watermark photo translations
- Updated the EXIF tool to the latest version to make sure all your information are transferred to the newly watermarked photos

Version 3.5.9.6 - 01 Oct 2018
- Made some minor improvements to the UI

Version 3.5.9.5 - 08 Aug 2018
- Improved how the watermarker handles when the user.config file is corrupt

Version 3.5.9.4 - 20 Jul 2018
- Fixed some minor UI errors in the watermarking preview

Version 3.5.9.3 - 12 Jul 2018
- Updated the Turkish language, thanks Furkan!

Version 3.5.9.2 - 27 Jun 2018
- Updated the Turkish language, thanks Furkan!
- Updated the development enviroment to latest version of visual studio
- Updated the development tools to Windows 10

Version 3.5.8.6 - 17 Mar 2018
- Updated the translations of the Danish version

Version 3.5.8.5 - 23 Nov 2017
- More improvement of the watermarking software.

Version 3.5.8.4 - 14 Sep 2017
- Finished the French translation.
- Improved the Danish translations.

Version 3.5.8.3 - 17 Aug 2017
- Updated the French translation, now the watermarking software app is even better at French thanks to Andrew :)

Version 3.5.8.2 - 10 Aug 2017
- Minor changes to the UI, small speed improvements

Version 3.5.8.1 - 30 Jun 2017
- Minor changes and rebuild to avoid false positive detection in symantec antivirus

Version 3.5.7.9 - 06 Jun 2017
- Added handling of the error where no "my documents" folder exists on the machine that is used for the watermarking app

Version 3.5.7.8 - 22 May 2017
- Fixed an error in the watermark installer where the watermarking app would not be installed if the user did not have a userdocument path

Version 3.5.7.7 - 02 May 2017
- Getting ready for a new major release of the software and are disabling the software update check for major versions so people are not forced to upgrade

Version 3.5.7.6 - 18 Mar 2017
- Improved the way the default watermark setup file is saved, this will make it impossible to never a setup save when the watermark maker software closes down.

Version 3.5.7.6 - 18 Mar 2017
- Fixed an error in the watermark maker part of the tool

Version 3.5.7.5 - 06 Feb 2017
- Improved the arabic language translations

Version 3.5.7.4 - 12 Jan 2017
- Improved the transfer of IPTC tags with special characters
- Added more translations
- Fixed missing menu item translations

Version 3.5.7.2 - 29 Nov 2016
- Added the Arabic language

Version 3.5.7.1 - 25 Nov 2016
- Improved the watermark process and added a new check in the setup.

Version 3.5.6.9 - 04 Nov 2016
- Minor fixes and improvements

Version 3.5.6.8 - 29 Sep 2016
- Fixed a bug where the watermarked setup was not shown when selecting File->New

Version 3.5.6.7 - 21 Sep 2016
- Improved further on the way settings is saved and retrieved from the registry, this will avoid more errors when starting the software.

Version 3.5.6.6 - 14 Sep 2016
- Improved the way settings is retrived from the registry to avoid an error starting the software.

Version 3.5.6.4 - 04 Aug 2016
- Changed the behaviour of the counter field on the save watermarked images tab, now you cannot blank it and get similar filenames.

Version 3.5.6.3 - 02 jUL 2016
- Fixed a bug that sometimes made the resulting image files have a strange name.

Version 3.5.6.2 - 09 Jun 2016
- Zames updated the Korean language files, thanks for the help!

Version 3.5.6.1 - 08 May 2016
- Stephan discovered a race condition in the watermarker that made it crash when adding watermarks from the command line

Version 3.5.5.9 - 08 May 2016
- Fixed a nasty layout bug, the UI should look normal again!

Version 3.5.5.8 - 07 May 2016
- Added an "Invert 3D" option to the 3D watermark image optionb, this enables you to select if the image should look embossed or chiseled

Version 3.5.5.7 - 19 Apr 2016
- Fixed some problems that made the program throw an error when watermarking from the command line mode.

Version 3.5.5.6 - 28 Mar 2016
- Fixed some minor registration issues
- Improved the watermarking font loading routine

Version 3.5.5.5 - 18 Feb 2016
- Fixed an error when no files was selected for watermarking
- Worked on the watermarking font selection system since sometimes a font went missing

Version 3.5.5.4 - 18 Feb 2016
- Improved the tiff handling, now written watermarked tiff images are written using the same compression as the original image
- Improved the tiff handling, multipage tiff are now stored as compressed pages in the watermarked tiff image
- Improved watermarked tiff output file size by always forcing lzw compression since CCIT compression removes gray watermarks

Version 3.5.5.1 - 09 Feb 2016
- Minimized the memory footprint of the watermarking software while running
- Improved the Save ouput as input format option so more formats are supported
- Fixed a racing condition when watermarking before the first preview image is shown or the watermarker was generating a new preview image when starting the watermarking process

Version 3.5.4.7 - 29 Jan 2016
- Fixed a problem when watermarking using an image and the image was invalid
- Improved debug logging when emailng support the watermark log

Version 3.5.4.6 - 24 Jan 2016
- Added an option to create a text watermark based on the EXIF date
- Added an option to create a text watermark based on the EXIF time
- Improved the closing of the watermarking program, now it do not hang on a blocked watermark preview thread

Version 3.5.4.5 - 16 Jan 2016
- If no destination is selected the software now queries the user where the watermarked images should be saved
- Added a option to watermark using the last directory name of the path as watermark text

Version 3.5.4.4 - 13 Jan 2016
- Improved the way foreign dates are handled in the software

Version 3.5.4.2 - 01 Jan 2016
- Changed the way the watermarking is done to save some memory and speed up performance
- Minor GUI changes
- HAPPY NEW YEAR!

Version 3.5.4.1 - 22 Dec 2015
- Facebook has changed the security settings and image upload is no longer allowed so FaceBook Sharing is disabled until we figure out if we can get it to work again

Version 3.5.3.2 - 26 Nov 2015
- Improved the UI on the watermarking page
- Updated the language files for Danish, thanks Anders

Version 3.5.3.1 - 27 Oct 2015
- Improved the handling of negative values in the image watermarking offset.

Version 3.5.2.9 - 17 Oct 2015
- Added an improved version of the Portugese language, Thanks to João

Version 3.5.2.8 - 08 Oct 2015
- Added four new options to the file info, now you can watermark using the new / renamed file name
- Added an option so you can rename files to using a special syntax
- Improved the EXIF Meta tags copying

Version 3.5.2.7 - 23 Sep 2015
- Changed the way EXIF transfers are moved during some special cases
- Improved the loading of the first watermarked image and focus on the main watermarking program.

Version 3.5.2.6 - 17 Sep 2015
- Improved the way the title is updated for a speedier load.

Version 3.5.2.5 - 14 Sep 2015
- Improved the portable watermark tool version, now it includes the exif transfering tool too.

Version 3.5.2.4 - 09 Sep 2015
- Improved the handling of Cyrilic Characters in watermarks

Version 3.5.2.3 - 05 Sep 2015
- Updated the EXIF information transfer tool
- Updated the EXIF copyright notice information
- Improved the registration detection method

Version 3.5.2.2 - 04 Aug 2015
- Added the option to automatically insert the following EXIF information as the watermark text in normal and 3D watermark
- EXIF Copyright notice
- EXIF Image Description
- EXIF Camera Maker
- EXIF Camera Model
- Improved the way the special information inserts works with a 3D watermark text

Version 3.5.1.6 - 01 Aug 2015
- Added rerendering of preview when changing the selected source using the keyboard.
- Improved the way the preview thread is stopped when starting the batch watermarking process

Version 3.5.1.5 - 01 Jul 2015
- Summer is here (in Denmark) have a nice summer vacation if you are lucky enough to have one now!
- Fixed an error where the program would not rename files correctly after applying EXIF/MetaData informations when watermarking and removing most EXIF/MetaData information from the source images

Version 3.5.1.4 - 26 Jun 2015
- Fixed an error in the exif transfer from the original to the watermarked image.
- Fixed an error in watermarking images taken while the camera was on the side.

Version 3.5.1.3 - 19 Jun 2015
- Added an option to add the last directory to a text watermark
- Added an option to add the entire path of the source file to a text watermark

Version 3.5.1.2 - 15 Jun 2015
- Improved the email support option from within the watermarker and from the website
- Minor UI improvements made to the watermarking software

Version 3.5.1.1 - 31 May 2015
- Added support for multipage TIFF files, now the watermark is attached to all pages of a multipage tiff image
- Updated the Danish translation

Version 3.4.3.5 - 20 May 2015
- Updated the Indonesian translation of the watermark image program, big thanks to Ahmad.
- Improved the Share Watermarked Image to FaceBook option now it do not show an error message when using the copy EXIF information to the watermarked image if no error is present.
- Fixed a racing condition in the watermark preview thread that made the software hang when watermarking images in batch mode from the command line.

Version 3.4.3.4 - 07 May 2015
- Updated the Facebook DLL to the latest API, now sharing watermarked images on facebook is much faster and easier.
- Improved the way startup initializing is done, this should stop the scenario where the software hangs when pressing start
- Improved the logging of failed image loading while running 

Version 3.4.3.3 - 23 Apr 2015
- Added the option to maintain EXIF information when using the "save as input format" option.
- Improved how file renaming of the watermarked files is handled, now the directory structure of the source directories are respected when "Maintain Directory structure is marked"
- Improved error handling of the EXIF transfer tool when using baltic, syrillic or chinese characters in filenames and paths, these are not supported

Version 3.4.3.2 - 09 Apr 2015
- Updated the Dutch language files
- Fixed a setup load error

Version 3.4.3.1 - 17 Mar 2015
- Fixed an locked file when watermarking finished, now all files used are released when done watermarking.

Version 3.4.2.9 - 11 Mar 2015
- Updated the watermark registration routine.

Version 3.4.2.8 - 28 Feb 2015
- Improved the automatic border selection for the upcoming simple mode so it do not interfere with the advanced mode
- Improved the "Save as input filename" option, now watermarked tiff images are saved with the same extension

Version 3.4.2.7 - 23 Feb 2015
- Updated the Dutch language files
- Added an prompt the the save setup method if the autogenerated filename routine fails.

Version 3.4.2.6 - 15 Feb 2015
- Added better handling of the "Email support" option in the watermarker
- Changed what happens when you remove a watermark from the profile list, now a new is selected if the last selected is removed

Version 3.4.2.5 - 06 Feb 2015
- Improved the way renaming and saving files work, now destination folders with period also works

Version 3.4.2.4 - 26 Jan 2015
- Improved the watermark list, now it is impossible to unselect all watermarks, one will always be selected.
- Improved the way saving the watermarking setup is handled, unless you select "File->Save As" the configuration is saved using a default naming convention
- Improved the ouput profile list, now it is impossible to unselect all items, one will always be selected.

Version 3.4.2.3 - 07 Jan 2015
- Changed the Help and about box to make it display the correct information

Version 3.4.2.2 - 22 Dec 2014
- Fixed a race condition in the free mode that made the program hang on start button click

Version 3.4.2.1 - 18 Dec 2014
- Improved the 3D image watermark, the sometimes distorted results are now much more crisp and clean
- Improved the 3D Text watermark, a normal text with straight lines are much more readable now. 
- Fixed a file renaming error when saving the watermark preview images

Version 3.4.1.8 - 07 Dec 2014
- Added some icons for a few of the buttons, working on even more icons for the rest of the program.
- Improved the overall experince of the watermarker
- Investigated some 3D Image Watermark issues.

Version 3.4.1.7 - 16 Nov 2014
- Fixed an error that renamed the destination files to strange 8.3 filenames, only when keeping EXIF option was enabled.

Version 3.4.1.6 - 14 Nov 2014
- Fixed an error with special characters (like the german ü) in paths and filenames
- Improved the select of watermark type, now you can double click the image and it is selected
- Added a configure watermark icon to the watermark layer list that helps the user to easily change the watermark type

Version 3.4.1.5 - 07 Nov 2014
- Upgraded the Secure FTP due to the POODLE SSLv3 vulnerability now SSLv3 is disabled by default. 
- Improved the 3D image watermark routine, now if you grayscale the watermarking image while using it as a 3D watermark, the 3D watermark will be more sharp at the edges
- Changed the way the password is encrypted in the configuration files, users have to re-enter the passwords.
- Updated the registration routine, now it checks the watermark registrations key better.

Version 3.4.1.4 - 17 Oct 2014
- Added an option to make indented 3D text, this way the 3D text can look either chiseled or embossed
- Cleared up the user interface a bit when watermarking using a test watermark
- Changed some minor handling of the Watermark and Upload to Wordpress feature

Version 3.4.1.3 - 12 Oct 2014
- Improved the way the preview images is shown, if all photos are removed from the source list, the watermark preview is cleared
- Added a instructional video to the software. It is shown the first time the watermarking program is runned or when the help menu is used.

Version 3.4.1.2 - 08 Oct 2014
- Improved the speed of the 3D Text (embossed text or depth map) watermarking routine once more
- Added a check on the watermarked filename counter so only numric input is allowed
- Improved the resize options width and high input fields to better handle numeric only input
- Added a check on the watermarke counter so only numric input is allowed
- Improved the stabillity of the 3D Text depth map routine, it sometimes failed in edge cases
 
Version 3.4.1.1 - 06 Oct 2014
- Added an new option to create 3D text watermarks (Looks like a chiseled or embossed watermark just much better since it is a depth image watermark) without the need to create an image and then using that as a 3D watermark
- Improved the speed of the 3D (depth map) watermarking routine, it is up to 60% faster
- Improved the way you select the type of watermark, now examples are shown of the different type of watermarks available.
- Improved some UI code so now the grayscale options are displayed correctly
- Moved the buttons for the watermark layers around, makes for a nicer and cleaner user interface and user experience
- Changed when the watermark font is changed in the input field to reflect a new selection of what font to use as watermmarking font

Version 3.3.3.1 - 27 Sep 2014
- Added an option to use embedded color information in the original watermark image when loading it, sometimes the color gets changed if you are not using this option, sometimes they get changed when you are...
- Made som minor changes to the Wordpress uploader, will now upload watermarked images to WordPress even better.
- Added an upgrade option from the free photo watermark version to the paid watermarker.

Version 3.3.2.8 - 11 Sep 2014
- Command line option has been improved, now it do not leave the watermark software running after running.
- Tweaked the upload watermarked images to WordPress function.

Version 3.3.2.7 - 01 Sep 2014
- Improved the watermarking wizard when adding new watermark setup.
- Redesigned the new watermark wizard to improve the first time experience.
- Improved the upload watermark to WordPress feature.
- Added an option to check for updates to TSR Watermark Image in the help menu, the software checks automatically every 10 days.

Version 3.3.2.6 - 24 Aug 2014
- Added a new pro feature - convert the resulting watermarked photo to a grayscale photo
- Added a new pro feature - convert the image used as an watermark into a grayscaled watermark image.
- Added a new feature - select text watermark size in % of photo size or in points, the latter will result in the same size of the watermark on photos in landscape and portrait mode.
- Minor changes to the upload watermarked photos to WordPress feature

Version 3.3.2.5 - 18 Aug 2014
- Changed the way the program handles when the destination directory do not exist
- Added an warning message when no watermark has been selected
- Added an warning message when no ouput destintion has been selected
- Removed the editabillity of the Font drop down, now you cannot write a non existing watermarking font, only choose those fonts that are available on your system
- Improved the EXIF transfer option, now the EXIF also works on user profiles with a space.
- Adjusted the upload watermarked photos to WordPress option

Version 3.3.2.4 - 15 Aug 2014
- Huge speed improvement over previous version, up to 60 times faster at watermarking!
- Improved the way dragged and dropped photos are added to the watermarking list
- Improved on the watermarked photos destination path handling when having many destination paths
- Changed the way the update check works, now it only check for new updates of TSR Watermark Image every forthnight
- Rewrote the way the software counts the photos that needs to be watermarked
- Removed a limit on the support email from within the watermarking software, now even very big files can be transmitted

Version 3.2.0.9 - 12 Aug 2014
- NEW Feature - Tiled Image Watermarks, now you can tile your image watermarks for even better photo protection
- Updated the GUI handling when watermarking folders with images, now the maintain folder structure follows the normal rules when loading setup
- Improved the upload watermarked photos to Wordpress functionality
- Changed the way renaming watermarked photos loads to improve the result
- Disabled the load new configuration file and new configuration when watermarking photos

Version 3.2.0.6 - 06 Aug 2014
- Improved the responsiveness of the application
- Added a directory check to the wizard setup filename

Version 3.2.0.5 - 19 May 2014
- Added a version check on startup that removes higher versions options if you are not licensed for them
- Improved the files to watermark column resizing
- Improved the files to watermark counter
- New way of remove source files from the list (it was removed from the UI) when clicking remove file

Version 3.2.0.4 - 15 May 2014
- Changed the way the resize options works, if nothing is written (or 0) then the paramter is ignored and only the other width/height parameter is used for resizing
- Added the "Unregistered version" to the watermarking preview image

Version 3.2.0.3 - 14 May 2014
- Added new columns to the watermarking source files box, now the Date taken or filedate is listed
- Added an option to sort/order the watermarking source files and directories by date taken
- Added an option to sort/order the watermarking source files and directories by filename
- Fixed an error with the bug report method posting to the wrong page on the website

Version 3.2.0.2 - 08 May 2014
- Fixed the upload watermark image to Facebook would not work when the preview watermarked image was just created.
- Cleaned up the code that handled EXIF, XMP and IPTC metadata (Canon, Sony and more camera and Adobe Lightroom tags), removed unnecessary EXIF properties from the code.
- Fixed a bug when saving a new setup after the first run
- The Danish language was updated. 

Version 3.2.0.1 - 02 May 2014
- New feature - XMP, IPTC, EXIF, GPS, ID3, and many more photo metadata is now supported in the Professional version. All metadata is now copied from source photos to destination photos if the keep metadata option has been selected.
- Registered users automatially download and installs updated versions of TSR Watermark Image
- When starting the watermarking software for the first time or adding a new setup the initial watermark setup is improved
- Wrong configuration value used for keeping the DPI of the watermarked image
- Fixed a copytext error in the wizard dialog

Version 3.1.0.9 - 22 Apr 2014
- Added a length check to the mail feedback that prevented long log files from being emailed.
- Added a check that detects when a user is using a black and white image for watermarking, this sometimes caused the program to not display the watermarked image.
- Added some styling to the watermark help feedback form.
- Added a check that removes the image watermark if no watermark image file is selected or the watermark image file is invalid.
- Added some check to the emailing when needing help watermarking.
- Removed the current XMP implementation it caused to many errors, working on a new implementation.

Version 3.1.0.8 - 14 Apr 2014
- Updated some wrong UI text
- Minor bug fixes

Version 3.1.0.7 - 25 Mar 2014
- Fixed a bug when using bold or italic watermark text where it would forget it when restarting the software
- Minor bug fixes

Version 3.1.0.6 - 14 Mar 2014
- Fixed a resize watermarked image error
- Fixed an error on that occured when using an image as watermark and not selecting any transparency option
- Minor GUI Fixes

Version 3.1.0.5 - 09 Mar 2014
- Changed the way external ressource are handled, this makes the portable watermark version much more stable
- Better Watermark Sharing
- Minor GUI improvements

Version 3.1.0.4 - 04 Mar 2014
- Russian translation has been updated, thanks Vadim
- Minor bug fixes

Version 3.1.0.3 - 20 Feb 2014
- Added the option to upload the watermarked images to wordpress, after watermarking all images are automatically uploaded to your wordpress installation.
- Added new option share watermarked preview image to WordPress with a logo for easy recognition
- Improved the configuration of the new share/upload to Wordpress, facebook and FTP options
- Improved the handling when testing the watermark Share features
- Improved the FTP Uploader

Version 3.0.0.2 - 15 Feb 2014
- Added 2 new versions, Share and SecureShare both having a special Watermark Font pack of 225 fonts.
- Added new option, upload watermarked files after watermarking using FTP
- Added new option, upload watermarked files after watermarking using Secure FTP
- Fixed a lot of GUI errors

Version 2.8.1.2 - 14 Feb 2014
- Improved the watermark font selection and font preview, now supports more fonts for watermarking than before!
- Fixed another registration bug when replacing an worng registration with a valid one.
- Fixed a strange error message when the watermarker could not save to the log file.

Version 2.8.1.1 - 06 Feb 2014
- Improved the image watermark option, the result and speed has been greatly improved

Version 2.7.3.4 - 29 Jan 2014
- Fixed a bug with the "rename watermark files" options.

Version 2.7.3.3 - 24 Jan 2014
- Fixed a bug with the cross effect

Version 2.7.3.2 - 21 Jan 2014
- Removed the log tab page
- Fixed a GUI Error

Version 2.7.3.1 - 11 Jan 2014
- The watermarking software now remembers the last window position

Version 2.7.2.8 - 10 Jan 2014
- Fixed a GUI error with the Effects option

Version 2.7.2.7 - 03 Jan 2014
- Working on improving the interface.
- Minor reg fix

Version 2.7.2.6 - 23 Dec 2013
- More GUI work done
- Minor bug fix

Version 2.7.2.5 - 17 Dec 2013
- Cleaned up the GUI a bit, more to come
- Added an option to set the size of an image watermark in pct of original photo or in a fixed pixel size.
- Merry Christmas & Happy New Year!

Version 2.7.2.1 - 11 Dec 2013
- Added facebook shareing
- Fixed a gui error

Version 2.7.1.1 - 16 Nov 2013
- Upgraded to .NET framework 4.0

Version 2.5.1.6 - 16 Nov 2013
- Made an extra check before starting, if watermark or output isn't selected the program selects the first for you.

Version 2.5.1.5 - 14 Nov 2013
- Minor changes to the XMP transfer

Version 2.5.1.4 - 08 Nov 2013
- Improved the preview feature, now the last image added is selected as current preview image
- Improved the remove item from source list handling
- Fixed a bug with the orientaion where Adobe XMP information was not updated correct
- Fixed a bug in the gui with the show files after watermarking

Version 2.5.1.2 - 29 Okt 2013
- Added a help wizard to the first time the program is used and when you start a new setup.

Version 2.5.1.1 - 28 Okt 2013
- Added a new feature to rename the output files
- Added code certification to the exe files, should remove some security warnings on windows 7 and 8

Version 2.5.0.1 - 22 Okt 2013
- Added support for Adobe XMP file information, they are now transferred to the watermarked image!
- Fixed a watermark dpi error when using file formats other than jpeg

Version 2.4.3.9 - 18 Okt 2013
- Minor bug fixes
- Improved the help system

Version 2.4.3.8 - 12 Okt 2013
- Fixed some errors in the ready validation code, now it's much easier to start watermarking

Version 2.4.3.7 - 09 Okt 2013
- Minor GUI Changes

Version 2.4.3.6 - 5 Okt 2013
- Fixed a serious registration bug, are you running version 2.4.3.5 and keep getting a registration error you must update to this version.

Version 2.4.3.5 - 4 Okt 2013
- Fixed a registration bug

Version 2.4.3.4 - 28 Sep 2013
- Fixed that the Korean language did not work on all machines.

Version 2.4.3.3 - 28 Sep 2013
- Added the Korean language, Thanks Zames

Version 2.4.3.2 - 25 Sep 2013
- Added the Ukranian language, Thanks Sergey
- Fixed some bugs regarding the save watermarked photo preview option

Version 2.4.3.1 - 16 Sep 2013
- Fixed a crash in the watermark preview save as function, Thanks Tony!
- Fixed an rounding error in the watermark resizer
- Fixed a GUI error

Version 2.4.2.6 - 07 Sep 2013
- Fixed some minor GUI errors

Version 2.4.2.5 - 26 Aug 2013
- Updated the French language, thanks Dom

Version 2.4.2.4 - 28 Aug 2013
- Fixed a resize bug where the image would not be resized correctly.
- Added an option to save the current watermark preview 

Version 2.4.2.3 - 26 Aug 2013
- Fixed a bug when maintain aspect ratio was unchecked, then no resize of the watermarked photo was done.
- Fixed some minor GUI bugs
- Updated the French language, thanks Dom

Version 2.4.2.2 - 08 Aug 2013
- Updated the Chinese simplified language, thanks 大眼仔‾旭

Version 2.4.2.1 - 05 Aug 2013
- Added the option to do tiled text watermarks

Version 2.4.1.6 - 29 Jul 2013
- Added a new information that can be automatically added as watermark - EXIF Date only
- Added a new information that can be automatically added as watermark - Current Date only
- Added a new information that can be automatically added as watermark - Current Date and time 
- Fixed a bug in the EXIF date and time parsing, it now displays the date/time in your local culture instead of using the EXIF string.

Version 2.4.1.5 - 17 Jul 2013
- Changed the behavior so an invalid image will not trigger an message box while running with a command line option to automate the run.

Version 2.4.1.4 - 16 Jul 2013
- Minor reg issue fixed

Version 2.4.1.3 - 27 Jun 2013
- Minor bug fixes

Version 2.4.1.2 - 17 Jun 2013
- Rewrote the sequential numbering watermark engine, it had some flaws with the saving/loading

Version 2.4.1.1 - 26 May 2013
- Added a new feature, cross effect that draws a cross on the image
- Minor bug fixes

Version 2.4.0.4 - 10 May 2013
- Fixed a bug in the free version that made the watermark fail

Version 2.4.0.3 - 09 May 2013
- Added the option to select which watermarks should be applied with a checkbox in the watermark list
- Added the option to select which output profiles should be applied with a checkbox in the save watermarked photos as list
- Fixed so custom colors in the palette used for watermarking photos is saved

Version 2.4.0.1 - 02 May 2013
- Added support for transparent PNG/GIF as watermark image, now the transparency of the images is used and the transparency from the photo is also used.
- Improved the text watermark quality

Version 2.3.4.1 - 29 Mar 2013
- New feature : You can now select if you wish to resize the photos before or after applying the watermark, this is nessesary if you are using an image as watermark and it is not big enough.
- Minro bug fixes.

Version 2.3.3.4 - 14 Mar 2013
- Updated the Danish language files
- Minor bug fixes.

Version 2.3.3.3 - 07 Mar 2013
- Fixed some minor bugs.
- Made some adjustments to the registration engine.

Version 2.3.3.2 - 26 Feb 2013
- Added the Greek language files, thanks Nick

Version 2.3.2.9 - 21 Feb 2013
- Fixed a rotation error caused by the DPI option 

Version 2.3.2.8 - 15 Feb 2013
- Added new option to keep input file format
- Fixed the DPI "Set to 72 DPI" option

Version 2.3.2.6 - 31 Jan 2013
- Minor bug fixes

Version 2.3.2.5 - 17 Jan 2013
- Updated the French language, thanks Robert
- Updated the Armenian language, thanks Hrant

Version 2.3.2.2 - 06 Jan 2013
- Changed the counter so it left pads with zeros, eg. 0001 becomes 0002 when incremented instead of 2
- Fixed a setup bug where the "Show watermarked files when finished" setting was'nt saved.

Version 2.3.2.1 - 29 Dec 2012
- Added drag and drop support to the watermark source directory list
- Added an option to clear the watermark preview image
- Added an option to reset the source file list on program start

Version 2.3.1.7 - 21 Dec 2012
- Change the save watermarked image routine - if input format and output format are equal, the name and casing og the file extension are kept.
- Fixed a bug in the watermarker that did not allow users to save to UNC paths.
- Updated the registrations profile.

Version 2.3.1.3 - 22 Nov 2012
- Fixed an error in the image resize when the max width or height was set to 0
- Updated the Spanish language, thanks José

Version 2.3.1.2 - 16 Nov 2012
- Fixed an error in the default profile shipped with the software

Version 2.3.1.1 - 09 Nov 2012
- Fixed an error that only let you use one image as watermark, Thanks Hans-Rudolf!

Version 2.3.0.2 - 06 Nov 2012
- Fixed an save setup error where it would not allow you to save a new setup.
- Fixed a bug in the load setup information.
- Fixed the updater to point the user in the correct direction.

Version 2.3.0.1 - 02 Nov 2012
- Added the Norwegian language
- Fixed some minor bugs
- Splitted the software into a free and a pro version to clear confusion

Version 2.2.0.7 - 21 Sep 2012
- Fixed a bug that saved some jpeg as black images

Version 2.2.0.6 - 20 Sep 2012
- Rewrote the open default directory option
- Rewrote the last directory remembered option
- Fixed a bug that kept the "select preview image" button disabled on the "Save watermarked picture as" tab, thank Stephen

Version 2.2.0.5 - 31 Aug 2012
- Updated the icons on the toolbar

Version 2.2.0.4 - 30 Aug 2012
- Added a "Email support" option that emails all relevant watermark indformation to our support!
- Fixed a bug when "my pictures" does not exist, thanks Jo!

Version 2.2.0.1 - 22 Aug 2012
- New installer GUI/Design
- Fixed some minor GUI problems
- Added some new graphics to the program
- New icon

Version 2.1.6.4 - 09 Aug 2012
- Fixed a serious bug in the text watermarking - no watermark was added.

Version 2.1.6.2 - 08 Aug 2012
- Updated the Italian language, Thanks Filippo

Version 2.1.6.1 - 22 Jul 2012
- Added Lithuanian translation, thanks Jurate

Version 2.1.5.1 - 25 Jun 2012
- Added Slovak translations, thanks Martin
- Minor bug fixes

Version 2.1.4.2 - 21 May 2012
- Fixed some minor memory leaks

Version 2.1.4.1 - 26 Apr 2012
- Added the Turkish language, thanks Alper

Version 2.1.3.2 - 19 Apr 2012
- Fixed an error in the function that adds 

Version 2.1.3.1 - 08 Apr 2012
- Fixed a bug where a warning would stay on the last page, thanks Elisabeth
- Fixed a design issue affecting the gui look.

Version 2.1.2.9 - 01 Apr 2012
- Fixed some errors in the Open and Save as file dialogs

Version 2.1.2.8 - 28 Mar 2012
- Added the option of changing the emboss/chisel width so they are more visible in larger images.

Version 2.1.2.5 - 13 Mar 2012
- Fixed a bug with empty profiles, thanks Carlos

Version 2.1.2.4 - 06 Mar 2012
- Fixed a bug in the Maintain DPI option when upgrading to version 2.1.2.1, thanks Edward & Stepahnie
- Fixed a bug when an output profile had some invalid data, thanks Jim
- Rewrote the warning method, now it gives even better warning when there is a setup error.

Version 2.1.2.1 - 15 Feb 2012
- Added the option to set the DPI of the output image to either the same as the original image or 72 DPI, thanks Stephanie
- Minor GUI changes

Version 2.1.1.6 - 07 Feb 2012
- Fixed the error in the German translations, thanks Norbert Hufler
- Fixed a bug in the File->Open routine, thanks Simon
- Fixed a bug in the effect option where the transparency option did not work, thanks Norbert Hufler

Version 2.1.1.2 - 2 Feb 2012
- Updated the German translations, thank Norbert

Version 2.1.1.1 - 25 Jan 2012
- Added the Swedish language, Thanks Marianne!
- Fixed a bug where the watermark image would not be applied if the Use image profile was'nt selected.
- Minor GUI changes 

Version 2.1.0.2 - 14 Jan 2012
- Fixed a memory leak in the watermark preview.
- Fixed a bug where the program would not terminate correctly
- Minor bugfixes

Version 2.1.0.1 - 07 Dec 2011
- Added the option to write a counter to the text watermark, Thanks Don!
- Minor GUI changes
- Minor bug fixes

Version 2.0.4.1 - 22 Nov 2011
- Added the Polish language, Thanks Radoslaw!

Version 2.0.3.6 - 28 Oct 2011
- Fixed a deadlock blocking in the watermarking preview that would prevent the program from starting to add the watermarks.

Version 2.0.3.5 - 23 Oct 2011
- Added the Vietnames language, Thanks Trong
- Fixed a bug setting the width of the watermark when watermarking using an image, Thanks Marina
- Fixed a bug when adding a profile/watermark with a blank name.
- Fixed some text label bugs
- Changed the wording in the gui, Thanks Larry!

Version 2.0.3.4 - 20 Oct 2011
- Fixed the Effect option not showing up, Thanks Larry

Version 2.0.3.3 - 16 Oct 2011
- Added a new option to add borders to the watermarks, Thanks Ingo
- Added the option to choose the text watermarking - text border size.
- Improved the text watermarking rutine.
- Improved the preview image.
- Fixed a load profile bug.
- Fixed a bug where the watermarked image would not be saved, Thanks Tim
- Fixed a bug where the Font list was not cleared correct.
- Fixed a preview image resize bug
- Fixed a bug in the text watermarking where a trailing space would not be used in the text watermark
- Fixed a new profile bug

Version 2.0.2.2 - 06 Oct 2011
- Fixed an error that prevented the Font list of being loaded, Thanks Huub
- Fixed some minor gui errors

Version 2.0.2.1 - 04 Oct 2011
- Added the option to add different file tags to the text watermarks
- Changed the GUI to explain the multiple watermarks and destinations

Version 2.0.1.1 - 03 Oct 2011
- Fixed a GUI layout error

Version 2.0.0.9 - 03 Oct 2011
- Fixed a problem preventing some users from generating watermarks

Version 2.0.0.8 - 02 Oct 2011
- Fixed a preview memory leak
- Fixed the default setup shipped with the product
- Added a warning when loading an old setup file.
- Added some more information and color coding on what to do before you can start watermarking

Version 2.0.0.7 - 01 Oct 2011
- Added the option for multiple watermarks - only available in the registered version
- Added the option for multiple output profiles - only available in the registered version
- Added the option for Bold/Italic text watermarks
- Added the option for antialized/not antialized text watermarks
- Improved the text watermarking routine, now text watermarks looks better than ever.
- Changed the GUI - a lot :)
- Changed the default save/open directories, now it's My Pictures not the TSR Watermark Image Exe file path
- Changed the preview image to scale/fixed whatever creates the best image.
- Changed the text box, now it is shown in the selected font
- Fixed a major memory leak!

Version 1.9.9.7 - 16 Aug 2011
- Added the Hebrew language
- Minor bug fixes

Version 1.9.9.6 - 14 Jul 2011
- Fixed a Windows 7 screen zoom problem, now the fonts in the watermark program looks ok even when you set the zoom level at 125%, thanks Lisette

Version 1.9.9.5 - 14 Jun 2011
- Fixed a color conversion error when saving jpeg, thanks Jaap & Huub
- Fixed a 3D marking error when creating 100% 3D watermarks from an image that was smaller than the resulting image.
- Fixed a text layout problem when having 10000+ images to add watermark to, thanks Jeffrey
- Fixed a Deutch/Deutsch spelling error, thanks Klaus
- Updated the save watermark setup function to include a better error handling.

Version 1.9.9.4 - 27 May 2011
- Updated the serbian language, thanks Ozzii
- Added a new translation of the Japaneese, thanks Sakata
- Added flags icons to the language selection
- Minor bug fixes

Version 1.9.9.3 - 12 May 2011
- Added an alert box when destination and source files are equal, thanks Tim
- Added Serbian Cyrilic language, thanks Ozzii
- Fixed a major speed issue, now watermarking large images is 100 times faster than previous versions
- Minor bug fixes

Version 1.9.9.2 - 12 Apr 2011
- Added a show files when done option, this opens the file explorer showing the watermarked photos.
- Addes a popup box showing if a file has an error.

Version 1.9.9.1 - 10 Mar 2011
- Added a use image as 3D Depth map option, to create 3D watermarks - this uses the input image as a bump map for the 3D watermark by doing a emboss edge detection on the watermark image and then using this to modify the original image and thereby create a 3D watermark effect, thanks to Remi for asking for this :)
- Added the Farsi language, thanks to Mona for the help.
- Added a remove all button in the source file list, thanks for asking Elisabeth.
- Fixed some layout and text errros when running using a language other than English, thanks Mona!
- Fixed a major memory leak, thanks for pointing this out Ingo

Version 1.9.7.1 - 18 Feb 2011
- Added a buttton used to insert a special character in the watermark text area.
- Added the option to make a multiline watermark.
- Added the Armenian language, Thanks Hrant!
- Added some more error handling when pressing the start button.
- Changed layout a bit to support the above options.

Version 1.9.6.4 - 07 Feb 2011
- Extended the %FILE_DATE% so it now uses the EXIF tag 36867 CreationDateTime before using the file dates.
- Fixed a bug when using the %FILE_DATE% to replace with picture taken date - thanks James!

Version 1.9.6.3 - 27 Jan 2011
- Updated the Hungarian language, thanks Istvan!
- Minor bug fixes

Version 1.9.6.2 - 01 Jan 2011
- Added the Vietnamese language, it's machine translated, please help improve it!
- Minor bug fixes

Version 1.9.6.1 - 19 Dec 2010
- Added the Finnish language, Thanks Olli
- Added the option of using the following text %FILE_NAME% or %FILE_DATE% or %FILE_NAME_NOEXT% in the text watermark method, this will be replaced with the filename or creation date of the watermarked image file, Thanks Olli
- Changed the File->Save text to File->Save Setup and added a Watermark Image menu item
- Fixed the multi selection of the images/directories that will be watermarked, now you can select more than one for deletion, Thanks Elisabeth
- Fixed some corrections to the Romainan language, Thanks Cristian

Version 1.9.5.5 - 14 Dec 2010
- Added the Romanian language, Thanks Cristian
- Minor bug fixes

Version 1.9.5.3 - 06 Dec 2010
- Added the Czech language - Thanks DNick
- Added a link to the online manual under Help->Help, Thanks Peter

Version 1.9.5.1 - 06 Nov 2010
- Re-included the "scan subdirectories" option again based on customer request.
- Fixed that the preview image was not saved when it was selected form the list of images to add watermark to.
- Fixed some GUI errors.

Version 1.9.1.1 - 29 Oct 2010
- Changed the way the source files are located, now you can add 1 or more files/folders to one batch watermark run instead of adding watermark to an entire directory.
- Removed the option to scan and watermark all photos in the current directory AND subdirectories
- Added the option to doublclick on a line in the source list of watermark photos and then be asked to set the photo as the preview photo.
- Added the Japanese language to the application, this is machine translation, so please contact me if you can help do a better translation!

Version 1.8.5.2 - 13 Oct 2010
- Made the font size matching more accurate, thanks Bobby
- Command line option to load a config file and run, then exit, usage is: WatermarkImage.exe "C:\Path to\ConfigFile\configfilename.wmi"
- Fixed that the last photo was kept open when batch watermarking all photos - Thanks Kevin

Version 1.8.4.1 - 28 Sep 2010
- Fixed missing EXIF information in the watermarked photo, thanks Cory!
- Added Russian language - Thanks sniflz!

Version 1.8.3.4 - 13 Sep 2010
- Fixed a bug where the watermarked photos would not be saved when using tif images, thanks Steve!
- Fixed a bug where the relative offset of the watermark was not saved to the setup file, thanks Bobby!

Version 1.8.3.3 - 10 Sep 2010
- Added Hungarian language, it's machine translated so please contact me if you can help improve it!

Version 1.8.3.2 - 02 Sep 2010
- Added Portuguese - Portugal language, thanks António!

Version 1.8.3.1 - 26 Aug 2010
- Changed the watermark placement radiobutton layout, to make room for the text in the translated languages.
- Added Portuguese - Brazilian language, thanks Hilton!
- Added Chinese - Simplified language, thanks Samuel!
- Added Chinese - Traditionel language, thanks Samuel!
- Changed the Spanish language, Thanks Goyo!
- Fixed some minor bugs

Version 1.8.2.6 - 14 Aug 2010
- Added Indonesia language, it's machine translated so please contact me if you can help improve it!
- Added Portuguese language, it's machine translated so please contact me if you can help improve it!
- Added Chinese (Simplified) language, it's machine translated so please contact me if you can help improve it!

Version 1.8.2.4 - 05 Aug 2010
- Added Dutch language, Thanks Rene!
- Added German language, Thanks Markus!
- Added French language, Thanks Filippo!
- Added the current watermark configuration path/filename to the title bar
- Added check on exit, if user has unsaved photo watermarking data the user is now asked if it should be saved
- Added a registry setting with the current watermark setup, so the program loads the last used watermarking setup when restartet
- Changed the text watermarking routine, now looks better than before
- Changed the width in % to size in % and now check both width and height of the watermark to make sure it's a perfect fit even when the mark is at an angel.
- Rewrote the photo resize algorithm
- Freed up some resources when adding watermarks to photos
- Fixed a path check that would disable you from certain watermarking paths, thanks Dietmar
- Fixed som minor bugs
- Fixed a text transparency error

Version 1.8.1.5 - 31 Jul 2010
- Added Italian language, Thanks to Filippo Podeschi!
- Added German language, machine translated, need help to make it better
- Added Spanish language, machine translated, need help to make it better
- Fixed the language selection problem
- Fixed some minor GUI problems

Version 1.8.1.1 - 29 Jul 2010
- Added multilanguage support for the GUI, please contact me if you can help translate the software!
- Closes the program when selecting OK to upgrade, to minimize installation problems
- Added a check when starting the software so only one version can be running at a time
- Added a check to the installer to check if the software is running when installing

Version 1.7.1.5 - 24 Jul 2010
- Fixed a photo watermark scaling problem, thanks Joao and Cory

Version 1.7.1.1 - 23 Jul 2010
- re-wrote the entire image watermarking method.
- Changed the update check function, now using the registry for storing informations.
- Fixed a resize antialiasing bug, thanks Markus!
- Fixed some minor bugs

Version 1.6.9.2 - 31 May 2010
- Added the IPTC subject (keywords) to the EXIF data if no EXIF XP Keywords are defined, working on a IPTC preserve option - this is used when adding data to your photos in adobe lightroom and other adobe programs - Thanks Kees-Jan
- Changed the resize/rotate working method, now the resize is done before the automatic image rotation done before the watermarking of the photo - Thanks Harshana
- Fixed resize bug that resized watermarked photos up.
- Fixed a bug in the registration.
- Improved error logging.

Version 1.6.8.1 - 20 Apr 2010
- Added a option to add or subtract a value from the watermarking x and y coordinates, related to the selected radiobutton/placement of the watermark - Thanks Mike
- Added error logging tab in the preview area - Thanks Abdul
- Changed GUI font and layout again, now a new gui is needed more than ever :)
- Fixed a bug when closing the program while watermarking images, this would cause a hang

Version 1.6.5.2 - 09 Apr 2010
- New feature - add border to text watermark.
- Fixed a bug at startup - Thank Jave and Réne
- Fixed a cross thread error when closing
- Fixed a start photo watermarking synchronization bug
- Changed layout to make room for the new feature - a new version is so much needed :)

Version 1.6.2.1 - 31 Mar 2010
- New feature Emboss Text mode
- New feature Chisel Text mode
- Changed functionallity when using an image as watermark - the image selected is now scaled down (and only down) to the selected width in % - Thanks Mike
- Changed the version check, it now displays the latest version info from this file below the general new version alert!
- Changed layout a bit, to help people running low resolutions
- Fixed a bug when loading an indexed GIF image (and other image types using index color palettes) - Thanks Ed
- Fixed a save/load bug - Thanks Elisabeth, Dave and others
- Fixed a save/load and then preview bug - Thanks Dave
- Fixed a preview bug where the preview thread would hang forever in a unterminated loop.
- Fixed a bug when using a black text watermark - Thanks Ben
- Fixed a resize bug when not maintain aspect ratio - Thanks Ben
- Fixed File->Exit so it now actually exit's the program - Thanks Jave
- New name, new icon, new website layout :)

Version 1.4.0.1 - 20 Mar 2010
- Rewrote the text watermarker the new version looked wrong - Thanks Harshana!
- Changed the way the text size works, now it is the percentage of the destination image width.
- Fixed path error when watermarking destination photo path is below or equals the source - Thanks Harshana!

Version 1.3.1.2 - 3 Mar 2010
- Added color picker for watermark text color
- Rewrote the preview rutine, you can now select image to use as preview image, and  it's updated automatically
- Added .NET Framework check to the setup
- Fixed load/save setup information bug
- Fixed watermark using image error when no image was selected - Thanks Andreas

Version 1.2.0.0 - 12 Feb 2010
- Added auto rotate based on EXIF/camera information option
- Added Append "Watermark Text" to "EXIF Copyright tag" option
- Fixed GUI bugs
- Fixed resize bug
- Fixed watermarking bug - Thanks Harshana!

Version 1.1.0.0 - 16 Jan 2010
- Added possibility for preserving EXIF information about camera, lense etc. (Or drop it :)
- Added select output photo format
- Added jpeg quality select option
- Fixed preview watermarked photo bug

Version 1.0.0.7 - 07 Jan 2010
- Fixed some minor bugs with the paths

Version 1.0.0.6 - 20 Dec 2009
- Fixed some minor bugs

Version 1.0.0.5
- Added support for angled text
- Fixed some minor bugs

Version 1.0.0.4
- Initial release